Generic Image Library: RandomAccess2DImageViewConcept< View > Struct Template Reference

###  | #  |

Public Member Functions | Public Attributes | List of all members
RandomAccess2DImageViewConcept< View > Struct Template Reference
Image View » Concepts » ImageView2DLocatorConcept

2-dimensional view over immutable values More...

`#include <image_view.hpp>`

## Public Member Functions
void | constraints ()

## Public Attributes
View | view

## Detailed Description

template<typename View>
struct boost::gil::RandomAccess2DImageViewConcept< View >

2-dimensional view over immutable values

concept RandomAccess2DImageViewConcept<RandomAccessNDImageViewConcept View> {
where num_dimensions==2;
typename x_iterator = axis<0>::iterator;
typename y_iterator = axis<1>::iterator;
typename x_coord_t = axis<0>::coord_t;
typename y_coord_t = axis<1>::coord_t;
typename xy_locator = locator;
x_coord_t View::width() const;
y_coord_t View::height() const;
// X-navigation
x_iterator View::x_at(point_t const&) const;
x_iterator View::row_begin(y_coord_t) const;
x_iterator View::row_end (y_coord_t) const;
// Y-navigation
y_iterator View::y_at(point_t const&) const;
y_iterator View::col_begin(x_coord_t) const;
y_iterator View::col_end (x_coord_t) const;
// navigating in 2D
xy_locator View::xy_at(point_t const&) const;
// (x,y) versions of all methods taking point_t
View::View(x_coord_t,y_coord_t,const locator&);
iterator View::at(x_coord_t,y_coord_t) const;
reference operator()(View,x_coord_t,y_coord_t) const;
xy_locator View::xy_at(x_coord_t,y_coord_t) const;
x_iterator View::x_at(x_coord_t,y_coord_t) const;
y_iterator View::y_at(x_coord_t,y_coord_t) const;
};
boost::gil::point< std::ptrdiff_t >
boost::gil::RandomAccess2DImageViewConcept
2-dimensional view over immutable values
Definition concepts/image_view.hpp:222
boost::gil::RandomAccessNDImageViewConcept
N-dimensional view over immutable values.
Definition concepts/image_view.hpp:104

The documentation for this struct was generated from the following file:

- concepts/image_view.hpp